This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 494146

Summary: Segmentation fault on x86_64
Product: [Fedora] Fedora Reporter: Jeroen van Meeuwen <vanmeeuwen+fedora>
Component: qemuAssignee: David Woodhouse <dwmw2>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dwmw2, gcosta, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-06 05:23:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
strace resulting in segmentation fault none

Description Jeroen van Meeuwen 2009-04-04 20:46:54 EDT
Created attachment 338188 [details]
strace resulting in segmentation fault

Description of problem:

Segmentation fault on x86_64

Version-Release number of selected component (if applicable):

qemu-system-x86-0.10-5.fc11.x86_64

How reproducible:

$ sudo strace -o qemu-kvm-strace qemu-kvm -m 1024 -hda /tmp/test.img -cdrom /srv/revisor/f10-x86_64-live-desktop-default-respin/live/Fedora-Unity-Desktop-20090405-10-Live-x86_64.iso

(strace attached)

Doesn't seem to matter what I boot.

SELinux is in permissive mode.

Additional info:

$ uname -a
Linux ghandalf.kanarip.com 2.6.29-16.fc11.x86_64 #1 SMP Fri Mar 27 21:08:09 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Mark McLoughlin 2009-04-06 05:23:09 EDT
Almost certainly a known bug in libSDL

Workaround is to use '-vnc' with qemu instead of the SDL graphics emulation backend

*** This bug has been marked as a duplicate of bug 487720 ***